Bug 17380 - Causes Automatic Re-Dial on ppp
Summary: Causes Automatic Re-Dial on ppp
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-09 17:04 UTC by jasoltow
Modified: 2014-03-17 02:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-03 08:28:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jasoltow 2000-09-09 17:04:17 UTC
Installed version 5.44 from RedHat Rawhide ftp site (i386.rpm format). 
From that point on, every attempt to disconnect would cause my system to
terminate the connection, followed by a complete reconnection to my ISP;
redial, authenticate, etc.  Once back online, the system would stay that
way until the next attempt to disconnect.

All of this on a system that had been working for several months without
problem.  Normal disconnect procedure is to use the button on the Gnome
"Modem Lights" applet, which runs "/usr/sbin/usernetctl ppp0 down".

Once initscripts-5.44-1.i386.rpm is installed, the only way to disconnect
was to kill -9 the ppp components, and then "ifconfig ppp0 down".  Once
this was done, the system would stay down until I next initiated
connection.

Corrected the problem by forcing the installation of
initscripts-5.00-1.i386.rpm.

Comment 1 psyclone42 2000-10-03 08:28:25 UTC
I had the same problem, did a little debugging, and noticed that if
DEMAND is not set, ifdown will kill -TERM pppd instead of ppp-watch,
and ppp-watch will then happily redial.

Apply this one-liner patch to
/etc/sysconfig/network-scripts/ifdown-ppp, or explicitly set
DEMAND=no in the ifcfg or somewhere.

--- ifdown-ppp.old	Fri Aug 18 16:38:10 2000
+++ ifdown-ppp	Tue Oct  3 03:18:51 2000
@@ -7,7 +7,7 @@
 CONFIG=$1
 source_config
 
-if [ "${DEMAND}" != no -a -f /var/run/ppp-${DEVICE}.pid ] ; then
+if [ "${DEMAND}" = yes -a -f /var/run/ppp-${DEVICE}.pid ] ; then
     PID=`head -1 /var/run/ppp-${DEVICE}.pid`
     kill -TERM ${PID}
     sleep 2


Comment 2 Bill Nottingham 2001-01-30 00:41:15 UTC
This will be fixed in 5.60-1; thanks!


Note You need to log in before you can comment on or make changes to this bug.